# QwtPlotPanner Class Reference

QwtPlotPanner provides panning of a plot canvas. More...

`#include <qwt_plot_panner.h>`

Inheritance diagram for QwtPlotPanner:
[legend]

List of all members.

## Public Member Functions

| QwtPlotPanner (QwtPlotCanvas *)
virtual | ~QwtPlotPanner ()
QwtPlotCanvas * | canvas ()
const QwtPlotCanvas * | canvas () const
QwtPlot * | plot ()
const QwtPlot * | plot () const
void | setAxisEnabled (int axis, bool on)
bool | isAxisEnabled (int axis) const

## Protected Slots

virtual void | moveCanvas (int dx, int dy)

## Detailed Description

QwtPlotPanner provides panning of a plot canvas.

QwtPlotPanner is a panner for a QwtPlotCanvas, that adjusts the scales of the axes after dropping the canvas on its new position.

Together with QwtPlotZoomer and QwtPlotMagnifier powerful ways of navigating on a QwtPlot widget can be implemented easily.

Note:
  The axes are not updated, while dragging the canvas

See also:
  QwtPlotZoomer, QwtPlotMagnifier

## Constructor & Destructor Documentation

QwtPlotPanner::QwtPlotPanner | ( | QwtPlotCanvas * | canvas | ) | `[explicit]`

Create a plot panner.

The panner is enabled for all axes

Parameters:

  | canvas | Plot canvas to pan, also the parent object

See also:
  setAxisEnabled()

QwtPlotPanner::~QwtPlotPanner | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

const QwtPlotCanvas * QwtPlotPanner::canvas | ( |  | ) | const

Return Observed plot canvas.

QwtPlotCanvas * QwtPlotPanner::canvas | ( |  | ) |

Return observed plot canvas.

bool QwtPlotPanner::isAxisEnabled | ( | int | axis | ) | const

Test if an axis is enabled

Parameters:

  | axis | Axis, see QwtPlot::Axis

Returns:
  True, if the axis is enabled

See also:
  setAxisEnabled(), moveCanvas()

void QwtPlotPanner::moveCanvas | ( | int | dx,
|  | int | dy |
| ) |  |  | `[protected, virtual, slot]`

Adjust the enabled axes according to dx/dy

Parameters:

  | dx | Pixel offset in x direction
  | dy | Pixel offset in y direction

See also:
  QwtPanner::panned()

const QwtPlot * QwtPlotPanner::plot | ( |  | ) | const

Return plot widget, containing the observed plot canvas.

QwtPlot * QwtPlotPanner::plot | ( |  | ) |

Return plot widget, containing the observed plot canvas.

void QwtPlotPanner::setAxisEnabled | ( | int | axis,
|  | bool | on |
| ) |  |  |

En/Disable an axis.

Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters:

  | axis | Axis, see QwtPlot::Axis
  | on | On/Off

See also:
  isAxisEnabled(), moveCanvas()